## ETimezoneDialog

ETimezoneDialog

## Functions

ETimezoneDialog * | e_timezone_dialog_construct ()
ETimezoneDialog * | e_timezone_dialog_new ()
ICalTimezone * | e_timezone_dialog_get_timezone ()
void | e_timezone_dialog_set_timezone ()
gboolean | e_timezone_dialog_get_allow_none ()
void | e_timezone_dialog_set_allow_none ()
GtkWidget * | e_timezone_dialog_get_toplevel ()

## Types and Values

#define | LIBICAL_GLIB_UNSTABLE_API

## Object Hierarchy

        GObject
        ╰── ETimezoneDialog

## Description

## Functions

### e_timezone_dialog_construct ()

    ETimezoneDialog *
    e_timezone_dialog_construct (ETimezoneDialog *etd);

### e_timezone_dialog_new ()

    ETimezoneDialog *
    e_timezone_dialog_new (void);

Creates a new event editor dialog.

#### Returns

A newly-created event editor dialog, or NULL if the event editor could not be created.

### e_timezone_dialog_get_timezone ()

    ICalTimezone *
    e_timezone_dialog_get_timezone (ETimezoneDialog *etd);

#### Parameters

etd | the timezone dialog |

#### Returns

the currently-selected timezone as an ICalTimezone obejct, or `NULL` if no timezone is selected.

[transfer none]

### e_timezone_dialog_set_timezone ()

    void
    e_timezone_dialog_set_timezone (ETimezoneDialog *etd,
                                    const ICalTimezone *zone);

Sets the timezone of `etd` to `zone` . Updates the display name and selected location. The caller must ensure that `zone` is not freed before `etd` is destroyed.

#### Parameters

etd | the timezone dialog |
zone | the timezone |

### e_timezone_dialog_get_allow_none ()

    gboolean
    e_timezone_dialog_get_allow_none (ETimezoneDialog *etd);

### e_timezone_dialog_set_allow_none ()

    void
    e_timezone_dialog_set_allow_none (ETimezoneDialog *etd,
                                      gboolean allow_none);

### e_timezone_dialog_get_toplevel ()

    GtkWidget *
    e_timezone_dialog_get_toplevel (ETimezoneDialog *etd);

## Types and Values

### LIBICAL_GLIB_UNSTABLE_API

    #define LIBICAL_GLIB_UNSTABLE_API 1